Docs Video unified format /ent/v2/reference2image
API reference

Reference drawing

Generate images from reference pictures.

POST/ent/v2/reference2image

Body Parametersapplication/json

aspect_ratio string

Aspect ratio, e.g. 16:9, 9:16, 1:1

images array

List of image URLs or Base64 strings

items
string string
model* string

Model name

prompt* string

text prompt word

resolution string

Resolution, such as 720p/1080p

Responses

200 success application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"model": "string",
3"prompt": "string"
4}
Code Sample cURL
1curl -X POST "https://api.digislash.com/ent/v2/reference2image" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"model": "string",
6"prompt": "string"
7}'
Response
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}